Subject: Re: X progs without X
From: [email-masked] (Arlindo da Silva)

1 Nov 1997 05:47:43 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Pasa Guglielmo)
Cc: [email-masked]

> Is there a way to build X apps under b18/X11R6.3 so as to make
> them able to run even without X installed. (understood that
> it is installed for building apps)

Sergey pointed me to ntxlib, an (incomplete) Xlib emulation which uses win32
GDI calls to bypass the X server. I tried a sample program (with Sergey's
patch to gnuwin32): it worked but messed up the colors on my win95 display.
After stubbing some of the missing functions, I was able to build one my xlib
applications but it crashed immediately; I haven't spent much time on it.

I would not call it functional at this point, but it is very promising.
It needs work by someone knowledgeable in both X11 and win32 API.
It would be a great package, though.

-- 
Arlindo da Silva    
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".